Subject: [Megaco] Descriptor Parameters

From: Niraj Kedar <[email-masked]>
Date: Mon, 26 Nov 2001 02:20:12 -0800 (PST)

Hi,

This is about descriptors as defined in various
packages. Say for example a Signals Descriptor has a
name, ID, description, type, duration and some
optional additional parameters. These additional
parameters consist of name, ID, description, type, and
possible values. 

Whereas the appendix A.2 mentions Signal as having a
SigParameter list. This SigParameter has a name, value
and extra info. I would like to know if the
"Additional Parameters" mentioned for a signal are
sub-parameters of that signal or they are just
different meanings /values, that signal can take?

How are the extra info parameters important?

thanx

__________________________________________________
Do You Yahoo!?
Yahoo! GeoCities - quick and easy web site hosting, just $8.95/month.
http://geocities.yahoo.com/ps/info1

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 27 Nov 2001 23:36:29 -0500

You are suffering confusion between documentation requirements and the
actual protocol construct that is being documented.  Perhaps we should
review our text in this area.

In any event, the Signals Descriptor itself is a container, within which
zero or more individual signals are specified.  The definition of each
signal as expressed in the package documentation indicates what parameters
that signal has.  All signals have the streamId, type, duration,
notifyCompletion, and keepActive parameters.  Many will have additional
parameters, as defined in package documentation.  For instance, if you look
at the play tone signal in Annex E, section E.3.3, of RFC 3015/H.248, you
will see two parameters defined: the tone id list and the inter-tone
duration.

-----Original Message-----
From: Niraj Kedar [mailto:[email-masked]]
Sent: Monday, November 26, 2001 5:20 AM
To: [email-masked]
Subject: [Megaco] Descriptor Parameters

Hi,

thanx

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 27 Nov 2001 23:36:29 -0500

-----Original Message-----
From: Niraj Kedar [mailto:[email-masked]]
Sent: Monday, November 26, 2001 5:20 AM
To: [email-masked]
Subject: [Megaco] Descriptor Parameters

Hi,

thanx